/*

 Author: CHiggins
 Date:   3/20/2014
 Descr:  GPS

Date      Author            Description
=======================================
20140320    Chris Higgins     Initial testing
 
*/


int relayPin = 7;
int pin_3V3 = A0;
double pin_3V3_input = 0;
double voltage = 0.0;


void setup() {
    pinMode(relayPin, OUTPUT);
    digitalWrite(relayPin, LOW);
    Serial.begin(9600);
    
    Serial.println();
    Serial.println("TESTING: RELAYv1 BOARD:");
    Serial.println("-----------------------");
    delay(100);
    
    Serial.print("3V3 LOW: ");
    pin_3V3_input = analogRead(pin_3V3);
    voltage = (pin_3V3_input/1023)*5;
    Serial.print(voltage);
    if (voltage < 3.0) {
        Serial.println (" - PASSED!");
    }
    else {
        Serial.println (" - FAILED VOLTAGE TEST!");
    }
    
    digitalWrite(relayPin, HIGH);
    delay(100);
    
    Serial.print("3V3 HIGH: ");
    pin_3V3_input = analogRead(pin_3V3);
    voltage = (pin_3V3_input/1023)*5;
    Serial.print(voltage);
    if ((voltage > 3.0) && (voltage < 4.0)) {
        Serial.println (" - PASSED!");
    }
    else {
        Serial.println (" - FAILED VOLTAGE TEST!");
    }
    
    digitalWrite(relayPin, LOW);
    delay(100);
}


//-------------------------------------------------------
// LOOP
//-------------------------------------------------------

void loop() {
}
